## landscape-client 1.0.23

=== Makefile ===
PYDOCTOR ?= pydoctor
TXT2MAN=man/txt2man

check:
	-./test
	-pyflakes landscape

checkcertificate:
	-echo | openssl s_client -connect landscape.canonical.com:443 -CAfile /etc/ssl/certs/ca-certificates.crt

clean:
	-find landscape -name \*.pyc -exec rm {} \;
	-rm tags
	-rm _trial_temp -rf
	-rm docs/api -rf;
	-rm man/\*.1 -rf

doc:
	${PYDOCTOR} --make-html --html-output docs/api --add-package landscape

manpages:
	${TXT2MAN} -P Landscape -t landscape-client < man/landscape-client.txt > man/landscape-client.1
	${TXT2MAN} -P Landscape -t landscape-config < man/landscape-config.txt > man/landscape-config.1
	${TXT2MAN} -P Landscape -t landscape-message < man/landscape-message.txt > man/landscape-message.1

package: manpages
	@fakeroot debian/rules binary
	@echo "\n\nYou remembered to update the changelog, right?\n\n"

SSH_USERNAME=`whoami`
SSH_HOST=people.ubuntu.com
PACKAGE_DIR=/home/jkakar/public_html/landscape
deploy:
ifneq (${PACKAGE},)
	@echo "Copying ${PACKAGE} to $(SSH_HOST):$(PACKAGE_DIR)"
	@scp ${PACKAGE} $(SSH_USERNAME)@$(SSH_HOST):$(PACKAGE_DIR)
	@echo "\nScanning packages and recreating the Packages file."
	@ssh -l $(SSH_USERNAME) $(SSH_HOST) \
		"cd $(PACKAGE_DIR) " \
		"&& dpkg-scanpackages . /dev/null > Packages " \
		"&& gzip -f Packages"
else
	@echo "You need to specify PACKAGE, as in: make deploy PACKAGE=<name>"
endif

MESSAGE_DIR = `pwd`/runclient-messages
LOG_FILE = `pwd`/runclient.log

reinstall:
	-sudo dpkg -P landscape-client
	-sudo rm -rf /var/log/landscape /etc/landscape /var/lib/landscape /etc/default/landscape-client
	-sudo apt-get install landscape-client

freshdata:
	-sudo rm -rf $(MESSAGE_DIR)
	-sudo mkdir $(MESSAGE_DIR)

run:
	-sudo ./landscape-client \
		-a onward -t "John's PC" \
		-u http://localhost:8080/message-system \
		-d $(MESSAGE_DIR) \
		--urgent-exchange-interval=5 \
		--log-level=debug \
		--ping-url=http://localhost:8081/ping \

freshrun: freshdata run

tags:
	-ctags --languages=python -R .

.PHONY: tags

## landscape-client 0.1

=== debian/changelog ===
landscape-client (0.1) dapper; urgency=low

  * Empty placeholder package

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 26 May 2006 06:37:55 -0700

=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4)

Package: landscape-client
Architecture: all
Description: Placeholder for the Landscape client
 This package is currently empty, but will be updated to contain a client for
 the Landscape system.  Landscape is a web-based tool for managing Ubuntu
 systems.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_clean
	rm -f build

install: build
	dh_clean
	dh_installdirs

build:
	touch build

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	# Nothing to do

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## landscape-client 1.3.2.4

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,13 @@
 	-rm docs/api -rf;
 	-rm man/\*.1 -rf
 
-doc:
-	${PYDOCTOR} --make-html --html-output docs/api --add-package landscape
+doc: docs/api/twisted/pickle
+	mkdir -p docs/api
+	${PYDOCTOR} --make-html --html-output docs/api --add-package landscape --extra-system=docs/api/twisted/pickle:twisted/
+
+docs/api/twisted/pickle:
+	mkdir -p docs/api/twisted
+	-${PYDOCTOR} --make-html --html-output docs/api/twisted --add-package /usr/share/pyshared/twisted -o docs/api/twisted/pickle
 
 manpages:
 	${TXT2MAN} -P Landscape -t landscape-client < man/landscape-client.txt > man/landscape-client.1

## landscape-client 1.5.0.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 PYDOCTOR ?= pydoctor
 TXT2MAN=man/txt2man
+PYTHON ?= python
 
-check:
+all: build
+
+build:
+	$(PYTHON) setup.py build_ext -i
+
+check: build
 	-./test
 	-pyflakes landscape
 
@@ -14,6 +20,7 @@
 	-rm _trial_temp -rf
 	-rm docs/api -rf;
 	-rm man/\*.1 -rf
+	-rm sdist -rf
 
 doc: docs/api/twisted/pickle
 	mkdir -p docs/api
@@ -74,4 +81,16 @@
 tags:
 	-ctags --languages=python -R .
 
-.PHONY: tags
+etags:
+	-etags --languages=python -R .
+
+UPSTREAM_VERSION=$(shell python -c "from landscape import UPSTREAM_VERSION; print UPSTREAM_VERSION")
+sdist:
+	mkdir -p sdist
+	bzr export sdist/landscape-client-$(UPSTREAM_VERSION)
+	rm -rf sdist/landscape-client-$(UPSTREAM_VERSION)/debian
+	cd sdist && tar cfz landscape-client-$(UPSTREAM_VERSION).tar.gz landscape-client-$(UPSTREAM_VERSION)
+	cd sdist && md5sum landscape-client-$(UPSTREAM_VERSION).tar.gz > landscape-client-$(UPSTREAM_VERSION).tar.gz.md5
+	rm -rf sdist/landscape-client-$(UPSTREAM_VERSION)
+
+.PHONY: tags etags

## landscape-client 1.5.2.1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	$(PYTHON) setup.py build_ext -i
 
 check: build
-	-./test
+	-trial landscape
 	-pyflakes landscape
 
 checkcertificate:

=== smart-update/Makefile ===

smart-update: smart-update.c
	$(CC) $(CFLAGS) -Wall $< -o $@

clean:
	rm -f smart-update

## landscape-client 11.02

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,9 @@
 
 check: build
 	-trial landscape
-	-pyflakes landscape
+
+pyflakes:
+	-pyflakes `find landscape -name \*py|grep -v twisted_amp\.py|grep -v configobj\.py|grep -v mocker\.py`
 
 checkcertificate:
 	-echo | openssl s_client -connect landscape.canonical.com:443 -CAfile /etc/ssl/certs/ca-certificates.crt

## landscape-client 12.05

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PYDOCTOR ?= pydoctor
-TXT2MAN=man/txt2man
+TXT2MAN ?= txt2man 
 PYTHON ?= python
+TRIAL_ARGS ?= 
+TEST_COMMAND = trial $(TRIAL_ARGS) landscape
 
 all: build
 
@@ -8,7 +10,20 @@
 	$(PYTHON) setup.py build_ext -i
 
 check: build
-	-trial landscape
+	@if [ -z "$$DBUS_SESSION_BUS_ADDRESS" ]; then \
+		OUTPUT=`dbus-daemon --print-address=1 --print-pid=1 --session --fork`; \
+		export DBUS_SESSION_BUS_ADDRESS=`echo $$OUTPUT | cut -f1 -d ' '`; \
+		DBUS_PID=`echo $$OUTPUT | cut -f2 -d ' '`; \
+		trap "kill $$DBUS_PID" EXIT; \
+	fi; \
+	if [ -z "$$DISPLAY" ]; then \
+		xvfb-run $(TEST_COMMAND); \
+	else \
+	    $(TEST_COMMAND); \
+	fi
+
+lint:
+	bzr ls-lint
 
 pyflakes:
 	-pyflakes `find landscape -name \*py|grep -v twisted_amp\.py|grep -v configobj\.py|grep -v mocker\.py`
@@ -33,9 +48,9 @@
 	-${PYDOCTOR} --make-html --html-output docs/api/twisted --add-package /usr/share/pyshared/twisted -o docs/api/twisted/pickle
 
 manpages:
-	${TXT2MAN} -P Landscape -t landscape-client < man/landscape-client.txt > man/landscape-client.1
-	${TXT2MAN} -P Landscape -t landscape-config < man/landscape-config.txt > man/landscape-config.1
-	${TXT2MAN} -P Landscape -t landscape-message < man/landscape-message.txt > man/landscape-message.1
+	${TXT2MAN} -P Landscape -s 1 -t landscape-client < man/landscape-client.txt > man/landscape-client.1
+	${TXT2MAN} -P Landscape -s 1 -t landscape-config < man/landscape-config.txt > man/landscape-config.1
+	${TXT2MAN} -P Landscape -s 1 -t landscape-message < man/landscape-message.txt > man/landscape-message.1
 
 package: manpages
 	@fakeroot debian/rules binary

=== debian/changelog ===
landscape-client (12.05-0ubuntu1.12.04) precise-proposed; urgency=low

  * Added fix for lshw storm when the client was talking to an old
    Landscape server which was then upgraded (LP: #1053057).

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Sep 2012 05:58:44 -0700

landscape-client (12.05-0ubuntu0.12.04) precise-proposed; urgency=low

  * New upstream release 12.05 (r561 in trunk) (LP: #1004678).
  * Make all subpackages that depend on each other require the exact same
    version, instead of >= $version.
  * Added python-gi to client depends starting natty.
  * Make change-packages also handle package holds (LP: #972489).
  * Fix typo in glade file (LP: #983096).
  * Tidy up apt facade (LP: #985493).
  * Remove SmartFacade and its tests, no longer used (LP: #996269).
  * Remove check for apt version, since we won't release this for
    Hardy where that check matters (LP: #996837).
  * Remove methods that were smart specific. We no longer use smart
    (LP: #996841).
  * Remove smart-update helper binary. We no longer use smart
    (LP: #997408).
  * Remove test-mixins that were useful only during the apt-to-smart
    code migration. Now with smart gone, they are no longer necessary
    (LP: #997760).
  * Build the packages from precise onward, not just precise.
  * Assorted packaging fixes:
    - Switched to format 3.0 (quilt).
    - Added source lintian overrides, with comments.
    - Updated debian/rules:
      - Added build-arch and build-indep dummy target.
      - Build the GUI packages from precise onwards, and not just on precise.
      - Re-enable dh_lintian.
      - Strip the binaries (dh_strip), and also call dh_shlibdeps for the
        automatic shlibs dependency.
      - Added python-gi from natty onwards.
    - Used __Choices instead of _Choices in landscape-common.templates, it's
      better for translators.
    - Updated standard version to 3.8.2, the version from Lucid (oldest one
      we support)
    - Added shlibs depends.
    - Dropped deprecated ${Source-Version} and replaced it with
      ${binary:Version}
    - Require exact version of the sibling package instead of >=.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 19 Jun 2012 12:10:15 -0300

landscape-client (12.04.3-0ubuntu1) precise; urgency=low

  * Warn on unicode entry into settings UI (LP: #956612).
  * Sanitise hostname field in settings UI (LP: #954507).
  * Make it clear that the Landscape service is commercial (LP: #965850)
  * Further internationalize the settings UI (LP: #962899)

 -- David Britton <dpb@canonical.com>  Wed, 28 Mar 2012 10:59:58 -0600

landscape-client (12.04.2-0ubuntu1) precise; urgency=low

  * Depend on python-aptdaemon.gtk3widgets instead of python-aptdaemon and
    replace dependency on python-gobject by python-gi (LP: #961894)
  * Add i18n to the landscape-client-ui-install script. (LP: #961891)

 -- David Britton <dpb@canonical.com>  Thu, 22 Mar 2012 10:10:39 -0600

landscape-client (12.04.1-0ubuntu1) precise; urgency=low

  * Fix default landscape hostname in glib schema.
  * dpkg test improvements to fix intermittent failures.
  * If ssl_public_key is supplied, use it also when fetching script
    attachments. This fixes the case of using script execution with
    attachments when the Landscape server is using a custom CA,
    most common in LDS deployments. (LP: #959846)
  * Make sure we have a PATH variable set before doing package
    activities, and also set it in the initscript for good measure. If
    the client was configured and restarted by the new UI configuration
    tool, PATH wasn't set, triggering an error in dpkg. (LP: #961190)
  * Make landscape-client-ui depend on landscape-client-ui-install, so
    that we get an entry in the system settings if just
    landscape-client-ui is installed. The actual entry comes from
    landscape-client-ui-install.
  * Optimization: when adding binaries, don't reload every repo, only the one
    containing the binaries. (LP: #954822)
  * Handle the case where the user clicks twice inadvertently on the
    Landscape icon in system settings and don't start a second copy of
    itself. (LP: #960211)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Mar 2012 16:15:49 -0300

landscape-client (12.04-0ubuntu1) precise; urgency=low

  * d/control: Dropping python-central and python-support since
    they are not used except in backports, and are not in main.

 -- Clint Byrum <clint@ubuntu.com>  Mon, 19 Mar 2012 16:05:49 -0700

landscape-client (12.04-0ubuntu0.12.04.0) precise; urgency=low

  * Change package management features to use APT instead of Smart (LP: #856244,
    #861707, #859615, #861345, #863239, #863259, #865270, #865272, #865285,
    #865273, #871641, #865299, #873196, #873939, #876493, #881973, #882438,
    #866014, #881998, #884142, #884151, #884131, #887037, #886208, #887578,
    #887947, #889067, #889069, #889087, #889099, #865303, #889113, #890605,
    #890606, #890609, #897416, #891855, #898681, #898683, #897656, #898542,
    #862212, #903202, #914734, #914735, #914737, #916301, #915280, #914742,
    #918925, #918175, #919179, #921664, #921699, #922582, #922511, #921712,
    #928750, #932136, #928941, #937411, #937567, #925543, #947803, #952973,
    #948142, #953136, #953906, #956590).
  * Add a GTK interface to configure the client (LP: #911279, #911666, #912163,
    #911665, #916300, #931937, #931937, #943622, #945025, #911279, #944652,
    #948464, #948416, #949158, #911671, #950864, #949208, #949147, #953070,
    #953292, #953463, #953034, #949200, #953026, #954499, #954516, #954285,
    #953065, #954414, #954332, #954542, #955966, #955139, #956030, #956119).
  * Add the ability to auto discover the server location on local deployment
    (LP: #917422, #927620, #917422, #928585, #929087, #932325, #948564) 
  * Allow the client to accept arbitrary environment variables from the
    server for script execution (LP: #954999).


=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
Build-Depends: debhelper (>= 5), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
Standards-Version: 3.8.2
XS-Python-Version: >= 2.4, << 2.8

Package: landscape-common
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-gnupginterface,
         python-twisted-core,
         python-apt,
         ca-certificates,
         python-gdbm,
         lsb-release,
         lsb-base,
         adduser,
         bc,
         lshw
Suggests: ${extra:Suggests}
Replaces: landscape-client (<= 1.0.23-0ubuntu0.8.10)
Description: The Landscape administration system client - Common files
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the core libraries.
XB-Python-Version: ${python:Versions}

Package: landscape-client
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-twisted-web,
         python-twisted-names,
         landscape-common (= ${binary:Version})
Suggests: ${extra:Suggests}
Description: The Landscape administration system client
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the Landscape client and requires a Landscape account.
XB-Python-Version: ${python:Versions}

Package: landscape-client-ui
Architecture: any
Depends: ${python:Depends}, ${misc:Depends},
         landscape-client (= ${binary:Version}),
         landscape-client-ui-install (= ${binary:Version}),
         python-gi,
         python-dbus,
         policykit-1,
         gir1.2-notify-0.7,
         gir1.2-gtk-3.0
Description: The Landscape administration system client - UI configuration
 Landscape is a web-based tool for managing Ubuntu systems.
 .
 This package provides the Landscape client configuration UI.
XB-Python-Version: ${python:Versions}

Package: landscape-client-ui-install
Architecture: any
Depends: ${python:Depends}, ${misc:Depends},
         python-gi,
         python-dbus,
         policykit-1,
         gir1.2-gtk-3.0,
         python-aptdaemon.gtk3widgets
Description: The Landscape administration system client - UI installer
 Landscape is a web-based tool for managing Ubuntu systems.
 .
 This package provides an automatic installer for landscape-client-ui.
XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f

dist_release := $(shell lsb_release -cs)
ifneq ($(dist_release),dapper)
	use_pycentral = yes
endif
ifeq (,$(filter $(dist_release), hardy lucid))
	use_dhpython2 = yes
endif

dh_extra_flags = -plandscape-common -plandscape-client
ifeq (,$(filter $(dist_release),hardy lucid natty oneiric))
	# We want landscape-client-ui only from precise onward
	dh_extra_flags += -plandscape-client-ui -plandscape-client-ui-install
endif

-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
	py_sitename = site-packages
	py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
	py_sitename_sh = $(py_sitename)
	py_libdir_sh = $(py_libdir)
endif

package = landscape-client
root_dir = debian/tmp/

revision = $(shell dpkg-parsechangelog | grep ^Version | cut -f 2 -d " "| cut -f 2 -d "-")

landscape_common_substvars = debian/landscape-common.substvars
landscape_client_substvars = debian/landscape-client.substvars

build-arch: build

build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	sed -i -e "s/^DEBIAN_REVISION = \"\"/DEBIAN_REVISION = \"-$(revision)\"/g" landscape/__init__.py
	python setup.py build
	make -C apt-update
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build
	make -C apt-update clean
	dh_clean
	debconf-updatepo
	sed -i -e "s/^DEBIAN_REVISION = .*/DEBIAN_REVISION = \"\"/g" landscape/__init__.py

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs \
		etc/landscape \
		var/lib/landscape \
		var/log/landscape \
		usr/share/landscape

	python setup.py install --root $(root_dir) $(py_setup_install_args)

	install -D -o root -g root -m 755 debian/landscape-sysinfo.wrapper $(root_dir)/usr/share/landscape/landscape-sysinfo.wrapper
	install -D -o root -g root -m 644 debian/cloud-default.conf $(root_dir)/usr/share/landscape/cloud-default.conf
	install -D -o root -g root -m 755 apt-update/apt-update $(root_dir)/usr/lib/landscape/apt-update
	install -D -o root -g root -m 644 dbus/landscape.conf $(root_dir)/etc/dbus-1/system.d/landscape.conf

binary-indep:
# do nothing
#
binary-arch: build install
	dh_lintian
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman -p landscape-client man/landscape-client.1 man/landscape-config.1 man/landscape-message.1
	dh_installchangelogs
	dh_install --sourcedir debian/tmp/
	dh_installinit -- start 45 2 3 4 5 . stop 15 0 1 6 .
	dh_installlogrotate
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps

ifneq (,$(findstring $(dist_release),hardy))
	# We depend on bug-fixed versions of python-dbus and pycurl on hardy
	echo "extra:Depends=python-dbus" >> $(landscape_common_substvars)
	echo "extra:Depends=python-pycurl, hal" >> $(landscape_client_substvars)
	# The python-image-store-proxy package is needed for the eucalyptus plugin
	echo "extra:Suggests=python-image-store-proxy" >> $(landscape_common_substvars)
endif
ifneq (,$(filter $(dist_release),lucid))
	# We want libpam-modules in lucid
	echo "extra:Depends=libpam-modules (>= 1.0.1-9ubuntu3), python-dbus" >> $(landscape_common_substvars)
	echo "extra:Depends=python-pycurl, hal" >> $(landscape_client_substvars)
endif
ifeq (,$(filter $(dist_release),hardy lucid))
	# Starting natty, no more hal or dbus
	echo "extra:Depends=libpam-modules (>= 1.0.1-9ubuntu3)" >> $(landscape_common_substvars)
	echo "extra:Depends=python-pycurl, gir1.2-gudev-1.0 (>= 165-0ubuntu2), python-gi" >> $(landscape_client_substvars)
	echo "extra:Suggests=python-dbus, hal" >> $(landscape_client_substvars)
endif

ifeq ($(use_dhpython2),yes)
	dh_python2 --no-guessing-versions
else
    ifeq ($(use_pycentral),yes)
        ifneq (,$(py_setup_install_args))
			DH_PYCENTRAL=include-links dh_pycentral
        else
			DH_PYCENTRAL=nomove dh_pycentral
        endif
    else
		dh_python
    endif
endif
	dh_installdeb $(dh_extra_flags)
	dh_gencontrol $(dh_extra_flags)
	dh_md5sums $(dh_extra_flags)
	dh_builddeb $(dh_extra_flags)


binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean

## landscape-client 12.12

=== Makefile ===
PYDOCTOR ?= pydoctor
TXT2MAN ?= txt2man 
PYTHON ?= python
TRIAL_ARGS ?= 
TEST_COMMAND = trial $(TRIAL_ARGS) landscape
UBUNTU_RELEASE := $(shell lsb_release -cs)
# version in the code is authoritative
# Use := here, not =, it's really important, otherwise UPSTREAM_VERSION
# will be updated behind your back with the current result of that
# command everytime it is mentioned/used.
UPSTREAM_VERSION := $(shell python -c "from landscape import UPSTREAM_VERSION; print UPSTREAM_VERSION")
CHANGELOG_VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -f 2 -d " " | cut -f 1 -d '-')
BZR_REVNO := $(shell bzr revno)
ifeq (+bzr,$(findstring +bzr,$(UPSTREAM_VERSION)))
TARBALL_VERSION := $(UPSTREAM_VERSION)
else
TARBALL_VERSION := $(UPSTREAM_VERSION)+bzr$(BZR_REVNO)
endif

all: build

build:
	$(PYTHON) setup.py build_ext -i

check: build
	@if [ -z "$$DBUS_SESSION_BUS_ADDRESS" ]; then \
		OUTPUT=`dbus-daemon --print-address=1 --print-pid=1 --session --fork`; \
		export DBUS_SESSION_BUS_ADDRESS=`echo $$OUTPUT | cut -f1 -d ' '`; \
		DBUS_PID=`echo $$OUTPUT | cut -f2 -d ' '`; \
		trap "kill $$DBUS_PID" EXIT; \
	fi; \
	if [ -z "$$DISPLAY" ]; then \
		xvfb-run $(TEST_COMMAND); \
	else \
	    $(TEST_COMMAND); \
	fi

lint:
	bzr ls-lint

pyflakes:
	-pyflakes `find landscape -name \*py|grep -v twisted_amp\.py|grep -v configobj\.py|grep -v mocker\.py`

clean:
	-find landscape -name \*.pyc -exec rm {} \;
	-rm tags
	-rm _trial_temp -rf
	-rm docs/api -rf;
	-rm man/\*.1 -rf
	-rm sdist -rf
	-rm -f landscape/lib/initgroups.so

doc: docs/api/twisted/pickle
	mkdir -p docs/api
	${PYDOCTOR} --make-html --html-output docs/api --add-package landscape --extra-system=docs/api/twisted/pickle:twisted/

docs/api/twisted/pickle:
	mkdir -p docs/api/twisted
	-${PYDOCTOR} --make-html --html-output docs/api/twisted --add-package /usr/share/pyshared/twisted -o docs/api/twisted/pickle

manpages:
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-client < man/landscape-client.txt > man/landscape-client.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-config < man/landscape-config.txt > man/landscape-config.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-message < man/landscape-message.txt > man/landscape-message.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-sysinfo < man/landscape-sysinfo.txt > man/landscape-sysinfo.1

origtarball: sdist
	cp -f sdist/landscape-client-$(TARBALL_VERSION).tar.gz \
		../landscape-client_$(TARBALL_VERSION).orig.tar.gz

prepchangelog:
# add a temporary entry for a local build if needed
ifeq (,$(findstring +bzr,$(CHANGELOG_VERSION)))
	dch -v $(TARBALL_VERSION)-0ubuntu0 "New local test build" --distribution $(UBUNTU_RELEASE)
else
# just update the timestamp
	dch --distribution $(UBUNTU_RELEASE) --release $(UBUNTU_RELEASE)
endif

updateversion:
	sed -i -e "s/^UPSTREAM_VERSION.*/UPSTREAM_VERSION = \"$(TARBALL_VERSION)\"/g" \
		landscape/__init__.py

package: clean prepchangelog updateversion
	debuild -b $(DEBUILD_OPTS)

sourcepackage: clean origtarball prepchangelog updateversion
	# need to remove sdist here because it doesn't exist in the
	# orig tarball
	rm -rf sdist
	debuild -S $(DEBUILD_OPTS)

MESSAGE_DIR = `pwd`/runclient-messages
LOG_FILE = `pwd`/runclient.log

reinstall:
	-sudo dpkg -P landscape-client
	-sudo rm -rf /var/log/landscape /etc/landscape /var/lib/landscape /etc/default/landscape-client
	-sudo apt-get install landscape-client

freshdata:
	-sudo rm -rf $(MESSAGE_DIR)
	-sudo mkdir $(MESSAGE_DIR)

run:
	-sudo ./landscape-client \
		-a onward -t "John's PC" \
		-u http://localhost:8080/message-system \
		-d $(MESSAGE_DIR) \
		--urgent-exchange-interval=5 \
		--log-level=debug \
		--ping-url=http://localhost:8081/ping \

freshrun: freshdata run

tags:
	-ctags --languages=python -R .

etags:
	-etags --languages=python -R .

sdist: clean
	mkdir -p sdist
	# --uncommitted because we want any changes the developer might have made
	# locally to be included in the package without having to commit
	bzr export --uncommitted sdist/landscape-client-$(TARBALL_VERSION)
	rm -rf sdist/landscape-client-$(TARBALL_VERSION)/debian
	sed -i -e "s/^UPSTREAM_VERSION.*/UPSTREAM_VERSION = \"$(TARBALL_VERSION)\"/g" \
		sdist/landscape-client-$(TARBALL_VERSION)/landscape/__init__.py
	cd sdist && tar cfz landscape-client-$(TARBALL_VERSION).tar.gz landscape-client-$(TARBALL_VERSION)
	cd sdist && md5sum landscape-client-$(TARBALL_VERSION).tar.gz > landscape-client-$(TARBALL_VERSION).tar.gz.md5
	rm -rf sdist/landscape-client-$(TARBALL_VERSION)

.PHONY: tags etags

=== debian/changelog ===
landscape-client (12.12-0ubuntu3) raring; urgency=low

  * Fixed sed command that updated registration_key (LP: #1131355).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 21 Feb 2013 16:35:46 -0300

landscape-client (12.12-0ubuntu2) raring; urgency=low

  * Added some fixes to the French translation file.

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 24 Jan 2013 11:46:22 -0200

landscape-client (12.12-0ubuntu1) raring; urgency=low

  * New upstream release
  * Slightly better regexp to change registration_password to
    registration_key during upgrades.
  * Detect Microsoft Hyper-V virtualization (LP: #1087185).
  * Prevent Apport from generating crash reports when dpkg returns an error
    (LP: #1076150).

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 10 Dec 2012 10:27:12 -0200

landscape-client (12.11-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Dropped lshw-storm-1053057 patch, already applied.
  * New manpage: landscape-sysinfo(1)
  * Upstream changed a config setting from registration_password to
    registration_key. Adjust scripts and configs accordingly.
  * Install new sample config file in the doc directory.
  * Only depend on python-gnupginterface for releases before Quantal.
  * Ensure ownership of our config file (LP: #1066116).
  * Gearing towards debhelper 7 compatibility. Replaced dh_clean -k with
    dh_prep.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 21 Nov 2012 15:24:20 -0200

landscape-client (12.05-0ubuntu3) raring; urgency=low

  * Drop python-gnupginterface dependency. (LP: #1045237).

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 09 Nov 2012 10:55:22 +0000

landscape-client (12.05-0ubuntu2) quantal-proposed; urgency=low

  * Added fix for lshw storm when the client was talking to an old
    Landscape server which was then upgraded (LP: #1053057).

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Sep 2012 15:28:37 -0700

landscape-client (12.05-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release 12.05 (r561 in trunk) (LP: #1004678).
  * Make all subpackages that depend on each other require the exact same
    version, instead of >= $version.
  * Added python-gi to client depends starting natty.
  * Make change-packages also handle package holds (LP: #972489).
  * Fix typo in glade file (LP: #983096).
  * Tidy up apt facade (LP: #985493).
  * Remove SmartFacade and its tests, no longer used (LP: #996269).
  * Remove check for apt version, since we won't release this for
    Hardy where that check matters (LP: #996837).
  * Remove methods that were smart specific. We no longer use smart
    (LP: #996841).
  * Remove smart-update helper binary. We no longer use smart
    (LP: #997408).
  * Remove test-mixins that were useful only during the apt-to-smart
    code migration. Now with smart gone, they are no longer necessary
    (LP: #997760).
  * Build the packages from precise onward, not just precise.
  * Assorted packaging fixes:
    - Switched to format 3.0 (quilt).
    - Added source lintian overrides, with comments.
    - Updated debian/rules:
      - Added build-arch and build-indep dummy target.
      - Build the GUI packages from precise onwards, and not just on precise.
      - Re-enable dh_lintian.
      - Strip the binaries (dh_strip), and also call dh_shlibdeps for the
        automatic shlibs dependency.
      - Added python-gi from natty onwards.
    - Used __Choices instead of _Choices in landscape-common.templates, it's
      better for translators.
    - Updated standard version to 3.8.2, the version from Lucid (oldest one
      we support)
    - Added shlibs depends.
    - Dropped deprecated ${Source-Version} and replaced it with
      ${binary:Version}
    - Require exact version of the sibling package instead of >=.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 01 Jun 2012 17:48:43 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
-Build-Depends: debhelper (>= 5), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
+Build-Depends: debhelper (>= 7), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
 Standards-Version: 3.8.2
 XS-Python-Version: >= 2.4, << 2.8
 
@@ -11,7 +11,6 @@
 Architecture: any
 Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
          ${shlibs:Depends},
-         python-gnupginterface,
          python-twisted-core,
          python-apt,
          ca-certificates,
@@ -22,7 +21,12 @@
          bc,
          lshw
 Suggests: ${extra:Suggests}
-Replaces: landscape-client (<= 1.0.23-0ubuntu0.8.10)
+# added/changed when we moved the sysinfo manpage from client to common
+# in r582. There is no accompaining "Breaks" because -client requires
+# the exact same version of -common, which will trigger the upgrade
+# and avoid the case discussed in
+# http://www.debian.org/doc/debian-policy/footnotes.html#f53
+Replaces: landscape-client (<< 12.09+bzr582)
 Description: The Landscape administration system client - Common files
  Landscape is a web-based tool for managing Ubuntu systems. This
  package is necessary if you want your machine to be managed in a

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs \
 		etc/landscape \
 		var/lib/landscape \
@@ -77,7 +77,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	dh_installman -p landscape-client man/landscape-client.1 man/landscape-config.1 man/landscape-message.1
+	dh_installman
 	dh_installchangelogs
 	dh_install --sourcedir debian/tmp/
 	dh_installinit -- start 45 2 3 4 5 . stop 15 0 1 6 .
@@ -88,6 +88,7 @@
 	dh_fixperms
 	dh_shlibdeps
 
+# hardy only
 ifneq (,$(findstring $(dist_release),hardy))
 	# We depend on bug-fixed versions of python-dbus and pycurl on hardy
 	echo "extra:Depends=python-dbus" >> $(landscape_common_substvars)
@@ -95,16 +96,22 @@
 	# The python-image-store-proxy package is needed for the eucalyptus plugin
 	echo "extra:Suggests=python-image-store-proxy" >> $(landscape_common_substvars)
 endif
+# lucid only
 ifneq (,$(filter $(dist_release),lucid))
 	# We want libpam-modules in lucid
 	echo "extra:Depends=libpam-modules (>= 1.0.1-9ubuntu3), python-dbus" >> $(landscape_common_substvars)
 	echo "extra:Depends=python-pycurl, hal" >> $(landscape_client_substvars)
 endif
+# not hardy, not lucid
 ifeq (,$(filter $(dist_release),hardy lucid))
 	# Starting natty, no more hal or dbus
 	echo "extra:Depends=libpam-modules (>= 1.0.1-9ubuntu3)" >> $(landscape_common_substvars)
 	echo "extra:Depends=python-pycurl, gir1.2-gudev-1.0 (>= 165-0ubuntu2), python-gi" >> $(landscape_client_substvars)
 	echo "extra:Suggests=python-dbus, hal" >> $(landscape_client_substvars)
+endif
+# from quantal onwards, we don't want python-gnupginterface anymore (#1045237)
+ifneq (,$(filter $(dist_release),hardy lucid oneiric precise))
+	echo "extra:Depends=python-gnupginterface" >> $(landscape_common_substvars)
 endif
 
 ifeq ($(use_dhpython2),yes)

## landscape-client 13.07.3

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,6 @@
 	-rm docs/api -rf;
 	-rm man/\*.1 -rf
 	-rm sdist -rf
-	-rm -f landscape/lib/initgroups.so
 
 doc: docs/api/twisted/pickle
 	mkdir -p docs/api

=== debian/changelog ===
landscape-client (13.07.3-0ubuntu1) saucy; urgency=low

  * New release: 13.07.3
    - The metadata.d/ directory was renamed to annotations.d/ (LP: #1226087)
    - Metadata exchange mechanism now uses the less ambiguous term
      "annotations" instead of "metadata". (LP: #1226597)

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Wed, 18 Sep 2013 11:42:28 +0200

landscape-client (13.07.1-0ubuntu2) saucy; urgency=low

  * New upstream version (LP: #1190510)
   - New metadata exchange mechanism allows clients to send any key-value data
     to the landscape server (LP: #1123932)
   - Network devices now report their maximum theoretical speeds, and duplex
     status to landscape-server (LP: #1126330, LP: #1130130)
   - Landscape.client is now HA aware when HA is implemented using juju
     charms (LP: #1122508)
   - The landscape client will now trigger a reboot if server sends a
     reboot-required message. (LP: #1133005)
   - Big AMP code cleanup and refactoring in order to improve testing, improve
     performance and ease future maintainability (LP: #1165047, LP: #1169102,
     LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669,
     LP: #1170669, LP: #1170669, LP: #1170669, LP: #1170669)
   - Added logic to detect cloned (virtual) computers (LP: #1161856)
   - The landscape-client and landscape-common packages do not use or depend
     on dbus code anymore, and the dependencies to python-gi and gudev are
     dropped. The hardware info plugin now looks at /proc instead of querying
     DBus (LP: #1175553, LP: #1180691)
   - The ceph manager plugin is now a monitor plugin and thus does not require
     root privileges anymore. (LP: #1186973)
   - The detection logic for virtual machine was changed to account for the
     different semantics between Openstack Folsom and Grizzly, and was
     expanded to detect more hypervisors (LP: #1191843)
   - Removed legacy upgrader code from postinst since support for it was
     dropped.
   - French translation patches were removed since the changes were merged
     upstream.
   - Removed legacy upgrader from postinst.
   - The /etc/dbus-1/system.d/landscape.conf file was moved from the
     landscape-common package to the landscape-client-ui as part of
     LP: #1175553, LP: #1180691. The added "Replaces:" stanza does not need
     an equivalent "Breaks:" since packages depend on each other with a
     strictly equal version number, avoiding the case described in 
     http://www.debian.org/doc/debian-policy/footnotes.html#f53

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Fri, 9 Aug 2013 17:01:28 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
          lsb-base,
          adduser,
          bc,
-         lshw
+         lshw,
+         libpam-modules
 Suggests: ${extra:Suggests}
 # added/changed when we moved the sysinfo manpage from client to common
 # in r582. There is no accompaining "Breaks" because -client requires
@@ -41,6 +42,7 @@
          ${shlibs:Depends},
          python-twisted-web,
          python-twisted-names,
+         python-pycurl,
          landscape-common (= ${binary:Version})
 Suggests: ${extra:Suggests}
 Description: The Landscape administration system client
@@ -61,6 +63,12 @@
          policykit-1,
          gir1.2-notify-0.7,
          gir1.2-gtk-3.0
+# Added when we moved the /etc/dbus-1/system.d/landscape.conf file from -client to
+# -client-ui in r682. There is no accompaining "Breaks" because -client-ui requires
+# the exact same version of -client, which will trigger the upgrade
+# and avoid the case discussed in
+# http://www.debian.org/doc/debian-policy/footnotes.html#f53
+Replaces: landscape-client (<< 13.05.1+bzr682)
 Description: The Landscape administration system client - UI configuration
  Landscape is a web-based tool for managing Ubuntu systems.
  .

## landscape-client 14.01

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TXT2MAN ?= txt2man 
 PYTHON ?= python
 TRIAL_ARGS ?= 
-TEST_COMMAND = trial $(TRIAL_ARGS) landscape
+TEST_COMMAND = trial --unclean-warnings $(TRIAL_ARGS) landscape
 UBUNTU_RELEASE := $(shell lsb_release -cs)
 # version in the code is authoritative
 # Use := here, not =, it's really important, otherwise UPSTREAM_VERSION

=== apt-update/Makefile ===
NAME = apt-update

$(NAME): $(NAME).c
	$(CC) $(CFLAGS) -Wall $< -o $@

clean:
	rm -f $(NAME)

=== debian/changelog ===
landscape-client (14.01-0ubuntu3) trusty; urgency=medium

  * landscape-sysinfo should ignore non existent or unreadable default
    config files. (LP: #1293990)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 28 Mar 2014 10:20:01 -0300

landscape-client (14.01-0ubuntu2) trusty; urgency=low

  * Added missing python-configobj dependency to -common (LP: #1283716)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 24 Feb 2014 09:43:33 -0300

landscape-client (14.01-0ubuntu1) trusty; urgency=low

  * New upstream release: 14.01
  * Dropped unity-control-center patch, already applied upstream

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Feb 2014 12:03:20 -0300

landscape-client (13.07.3-0ubuntu2) trusty; urgency=medium

  * debian/patches/unity-control-center.patch:
    - Show in both GNOME control center and Unity control center (LP: #1257505)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Jan 2014 10:44:27 +1300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
          ${shlibs:Depends},
          python-twisted-core,
+         python-configobj,
          python-apt,
          ca-certificates,
          python-gdbm,

=== debian/rules ===
--- 
+++ 
@@ -64,10 +64,10 @@
 
 	python setup.py install --root $(root_dir) $(py_setup_install_args)
 
+	# Keep in mind that some installed files are defined in setup.py
 	install -D -o root -g root -m 755 debian/landscape-sysinfo.wrapper $(root_dir)/usr/share/landscape/landscape-sysinfo.wrapper
 	install -D -o root -g root -m 644 debian/cloud-default.conf $(root_dir)/usr/share/landscape/cloud-default.conf
 	install -D -o root -g root -m 755 apt-update/apt-update $(root_dir)/usr/lib/landscape/apt-update
-	install -D -o root -g root -m 644 dbus/landscape.conf $(root_dir)/etc/dbus-1/system.d/landscape.conf
 
 binary-indep:
 # do nothing
@@ -88,29 +88,8 @@
 	dh_fixperms
 	dh_shlibdeps
 
-# hardy only
-ifneq (,$(findstring $(dist_release),hardy))
-	# We depend on bug-fixed versions of python-dbus and pycurl on hardy
-	echo "extra:Depends=python-dbus" >> $(landscape_common_substvars)
-	echo "extra:Depends=python-pycurl, hal" >> $(landscape_client_substvars)
-	# The python-image-store-proxy package is needed for the eucalyptus plugin
-	echo "extra:Suggests=python-image-store-proxy" >> $(landscape_common_substvars)
-endif
-# lucid only
-ifneq (,$(filter $(dist_release),lucid))
-	# We want libpam-modules in lucid
-	echo "extra:Depends=libpam-modules (>= 1.0.1-9ubuntu3), python-dbus" >> $(landscape_common_substvars)
-	echo "extra:Depends=python-pycurl, hal" >> $(landscape_client_substvars)
-endif
-# not hardy, not lucid
-ifeq (,$(filter $(dist_release),hardy lucid))
-	# Starting natty, no more hal or dbus
-	echo "extra:Depends=libpam-modules (>= 1.0.1-9ubuntu3)" >> $(landscape_common_substvars)
-	echo "extra:Depends=python-pycurl, gir1.2-gudev-1.0 (>= 165-0ubuntu2), python-gi" >> $(landscape_client_substvars)
-	echo "extra:Suggests=python-dbus, hal" >> $(landscape_client_substvars)
-endif
 # from quantal onwards, we don't want python-gnupginterface anymore (#1045237)
-ifneq (,$(filter $(dist_release),hardy lucid oneiric precise))
+ifneq (,$(filter $(dist_release),lucid precise))
 	echo "extra:Depends=python-gnupginterface" >> $(landscape_common_substvars)
 endif

## landscape-client 14.12

=== debian/changelog ===
landscape-client (14.12-0ubuntu6.14.04.4) trusty; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade (LP: #1699179).
    - debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
      release-upgrader is running before apt-update. (LP: #1699179)
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Nov 2018 09:24:22 -0500

landscape-client (14.12-0ubuntu6.14.04.3) trusty; urgency=medium

  * d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
    kvm hypervisor (LP: #1754073)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 26 Mar 2018 21:44:38 +0000

landscape-client (14.12-0ubuntu6.14.04.2) trusty; urgency=medium

  * d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
    Sets vm_info to kvm for new AWS EC2 C5 instances. (LP: #1742531)

  * d/p/set-vm-info-to-kvm-for-digitalocean-instances.patch:
    Sets vm_info to kvm for digitalocean instances. (LP: #1743232)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Jan 2018 11:32:00 -0500

landscape-client (14.12-0ubuntu6.14.04.1) trusty; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 10 Nov 2017 16:21:54 -0200

landscape-client (14.12-0ubuntu6.14.04) trusty; urgency=medium

  * Minor updates (LP: #1636477):
    - Fixed error caused by nonexistent directory on install.
    - Fixed users tab issue that caused users not to be shown anymore.
    - Reverted the change that introduced forced user database updates
      in the client.
    - Stopped retrying package operations if a SystemError is raised.
    - Restore behavior of the program exiting with a non-zero exit code
      in case of error during registration.
    - Prevent backtrace during registration with inappropriate account/
      password combinations.
    - Restore the API the charm depends on, add documentation as to its
      meaning and importance.
    - Add a specific error message when the cause of registration failure
      is an SSL error.
    - Changed the package reporter so it retries running apt-get update
      when an error 100 is returned.
    - Let the landscape-client-ui show up in Ubuntu MATE.

 -- Bogdana Vereha <bogdana.vereha@canonical.com>  Tue, 01 Nov 2016 17:39:30 +0100

landscape-client (14.12-0ubuntu5.14.04) trusty; urgency=medium

  * Don't report packages that are coming from backports, so that Landscape
    doesn't try to upgrade to versions of packages that are in backports.
    (LP: #1668583)

 -- Bjorn Tillenius <bjorn@canonical.com>  Thu, 23 Mar 2017 09:45:14 +0000

landscape-client (14.12-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream version (LP: #1401523):
    - Fix regression occurring when performing Landscape-driven release
      upgrades (LP: #1389686)
    - Fix regression occurring when switching the client between different
      Landscape servers (LP: #1376134)
    - Support reporting QEMU virtualization (LP: #1374501)
    - Bump Juju integration message format (LP: #1369635, LP: #1362506)
    - Drop provisioning registration message (LP: #1344054)
    - Drop cloud registration message (LP: #1342646)
    - Fix handling broken packages (LP: #1326940)
    - Add new Swift usage message type (LP: #1320236)
    - Fix platform detection on POWER machines (LP: #1271615)
    - Fix platform detection for arm64 machines (LP: #1306824)
    - Added a mechanism to set the client's user-agent (LP: #1399139)
    - Fixed release-upgrader not asking for a seesion ID before attempting to
      send a message (LP: #1401867)
  * Dropped sysinfo-ignore-nonexistent-config patch, already applied upstream.

 -- Christopher Glass (Canonical) <christopher.glass@canonical.com>  Mon, 15 Dec 2014 09:14:30 +0300

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,6 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
          ${shlibs:Depends},
          python-twisted-web,
-         python-twisted-names,
          python-pycurl,
          landscape-common (= ${binary:Version})
 Suggests: ${extra:Suggests}

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,6 @@
 
 	# Keep in mind that some installed files are defined in setup.py
 	install -D -o root -g root -m 755 debian/landscape-sysinfo.wrapper $(root_dir)/usr/share/landscape/landscape-sysinfo.wrapper
-	install -D -o root -g root -m 644 debian/cloud-default.conf $(root_dir)/usr/share/landscape/cloud-default.conf
 	install -D -o root -g root -m 755 apt-update/apt-update $(root_dir)/usr/lib/landscape/apt-update
 
 binary-indep:
